#
# spec file for package mako
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mako
Version:        1.6
Release:        bp154.1.27
Summary:        A Wayland notification daemon
License:        MIT
Group:          System/GUI/Other
URL:            https://mako-project.org/
Source:         https://github.com/emersion/mako/archive/v%{version}.tar.gz
BuildRequires:  meson >= 0.43.0
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14

%description
A notification daemon for Wayland. Intended to be used with sway.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%meson \
%if 0%{?suse_version} < 1550
  -Dtray=disabled \
%endif
  -Dsd-bus-provider=libsystemd

%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%dir %{_datadir}/dbus-1/
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/fr.emersion.mako.service
%{_bindir}/%{name}*
%{_mandir}/man?/%{name}*

%changelog
* Mon Jul 12 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.6:
  * Modes allow to conditonally change options at runtime, and allow to
    setup things like a "do not disturb" mode.
  * Add support for synchronous hints, to easily replace an existing
    notification from a script.
  * Add an "exec" binding to execute a command
  * Add "on-notify" bindings to trigger an action when a notification
    is opened.
  * Several small improvments and bugfixes:
* Mon May  3 2021 Denys Kondratenko <stdden@opensuse.org>
- Update to 1.5:
  * Allow multiple notifications to be anchored to different outputs,
    edges and layers at the same time
  * Add an history buffer for expired notifications
  * Add customizable button and touch bindings
  * Add regex criteria for summary and body
  * Make icon position configurable
  * Add support for basu, for non-systemd installations
  * Allow specifying notification IDs with makoctl
  * Allow dismissing a whole group at once with makoctl
  * Make text alignment customizable
* Mon Jan 13 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.4.1:
  * `makoctl menu` to choose a notification action
  * A CLI flag to use a custom config file path
  * Improved touch support (multiple touches)
  * Bug fixes
* Sat Jul 20 2019 Michael Aquilina <michaelaquilina@gmail.com>
- Update to 1.4
  * Icon support is now complete
  * Touchscreens are now supported
  * makoctl can now list current notifications
  * makoctl can now list and invoke notification actions
  * A D-Bus service file has been added
  * Various bug fixes
* Tue Apr 23 2019 mvetter@suse.com
- Update to 1.3:
  * Grouping (#98 and #111)
  * Icons (#115 and #128)
  * Progress bar indicator (#109)
  * Rounded corners (#134)
  * For details see https://github.com/emersion/mako/releases/tag/v1.3
* Wed Feb  6 2019 mvetter@suse.com
- Initial package mako 1.2 for openSUSE
